Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1575416 - [patch] Plasma crashes on OpenVPN disconnection
Summary: [patch] Plasma crashes on OpenVPN disconnection
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: plasma-nm
Version: 28
Hardware: All
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-06 18:06 UTC by ValdikSS
Modified: 2018-05-11 01:24 UTC (History)
1 user (show)

Fixed In Version: plasma-nm-5.12.5-2.fc28
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-11 01:24:06 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
KDE Software Compilation 393707 0 None None None 2018-05-06 18:06:11 UTC

Description ValdikSS 2018-05-06 18:06:12 UTC
Description of problem:
KDE Plasma crashes when user tries to disconnect from established OpenVPN connection using plasma-nm applet.



Version-Release number of selected component (if applicable):
plasma-nm 5.12.4-1.fc28


How reproducible:
Sometimes


Steps to Reproduce:
1. Using NetworkManager Plasma Applet, connect to Wi-Fi network and OpenVPN VPN.
2. Disconnect from OpenVPN.

Actual results:
Plasma crashes

Expected results:
Plasma does not crash, VPN connection disconnects.

Additional info:
Patch is available which fixes this problem: https://bugs.kde.org/show_bug.cgi?id=393707#c7

Comment 1 Rex Dieter 2018-05-06 23:52:55 UTC
Fix included in plasma-nm-5.12.5-2 builds

Comment 2 Fedora Update System 2018-05-07 02:09:59 UTC
bluedevil-5.12.5-1.fc28 breeze-gtk-5.12.5-1.fc28 grub2-breeze-theme-5.12.5-1.fc28 kactivitymanagerd-5.12.5-1.fc28 kde-cli-tools-5.12.5-1.fc28 kde-gtk-config-5.12.5-1.fc28 kdecoration-5.12.5-1.fc28 kdeplasma-addons-5.12.5-1.fc28 kgamma-5.12.5-1.fc28 khotkeys-5.12.5-1.fc28 kinfocenter-5.12.5-1.fc28 kmenuedit-5.12.5-1.fc28 kscreen-5.12.5-1.fc28 kscreenlocker-5.12.5-1.fc28 ksshaskpass-5.12.5-1.fc28 ksysguard-5.12.5-1.fc28 kwayland-integration-5.12.5-1.fc28 kwin-5.12.5-1.fc28 kwrited-5.12.5-1.fc28 libkscreen-qt5-5.12.5-1.fc28 libksysguard-5.12.5-1.fc28 plasma-breeze-5.12.5-1.fc28 plasma-desktop-5.12.5-1.fc28 plasma-discover-5.12.5-1.fc28 plasma-drkonqi-5.12.5-1.fc28 plasma-integration-5.12.5-1.fc28 plasma-milou-5.12.5-1.fc28 plasma-nm-5.12.5-2.fc28 plasma-oxygen-5.12.5-1.fc28 plasma-pa-5.12.5-1.fc28 plasma-sdk-5.12.5-1.fc28 plasma-systemsettings-5.12.5-1.fc28 plasma-user-manager-5.12.5-1.fc28 plasma-vault-5.12.5-1.fc28 plasma-workspace-5.12.5-1.fc28 plasma-workspace-wallpapers-5.12.5-1.fc28 plymouth-kcm-5.12.5-1.fc28 plymouth-theme-breeze-5.12.5-1.fc28 polkit-kde-5.12.5-1.fc28 powerdevil-5.12.5-1.fc28 sddm-kcm-5.12.5-1.fc28 xdg-desktop-portal-kde-5.12.5-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-2f55f1cecf

Comment 3 Fedora Update System 2018-05-07 02:12:25 UTC
bluedevil-5.12.5-1.fc28 breeze-gtk-5.12.5-1.fc28 grub2-breeze-theme-5.12.5-1.fc28 kactivitymanagerd-5.12.5-1.fc28 kde-cli-tools-5.12.5-1.fc28 kde-gtk-config-5.12.5-1.fc28 kdecoration-5.12.5-1.fc28 kdeplasma-addons-5.12.5-1.fc28 kgamma-5.12.5-1.fc28 khotkeys-5.12.5-1.fc28 kinfocenter-5.12.5-1.fc28 kmenuedit-5.12.5-1.fc28 kscreen-5.12.5-1.fc28 kscreenlocker-5.12.5-1.fc28 ksshaskpass-5.12.5-1.fc28 ksysguard-5.12.5-1.fc28 kwayland-integration-5.12.5-1.fc28 kwin-5.12.5-1.fc28 kwrited-5.12.5-1.fc28 libkscreen-qt5-5.12.5-1.fc28 libksysguard-5.12.5-1.fc28 plasma-breeze-5.12.5-1.fc28 plasma-desktop-5.12.5-1.fc28 plasma-discover-5.12.5-1.fc28 plasma-drkonqi-5.12.5-1.fc28 plasma-integration-5.12.5-1.fc28 plasma-milou-5.12.5-1.fc28 plasma-nm-5.12.5-2.fc28 plasma-oxygen-5.12.5-1.fc28 plasma-pa-5.12.5-1.fc28 plasma-sdk-5.12.5-1.fc28 plasma-systemsettings-5.12.5-1.fc28 plasma-user-manager-5.12.5-1.fc28 plasma-vault-5.12.5-1.fc28 plasma-workspace-5.12.5-1.fc28 plasma-workspace-wallpapers-5.12.5-1.fc28 plymouth-kcm-5.12.5-1.fc28 plymouth-theme-breeze-5.12.5-1.fc28 polkit-kde-5.12.5-1.fc28 powerdevil-5.12.5-1.fc28 sddm-kcm-5.12.5-1.fc28 xdg-desktop-portal-kde-5.12.5-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-2f55f1cecf

Comment 4 Fedora Update System 2018-05-07 16:02:21 UTC
bluedevil-5.12.5-1.fc28, breeze-gtk-5.12.5-1.fc28, grub2-breeze-theme-5.12.5-1.fc28, kactivitymanagerd-5.12.5-1.fc28, kde-cli-tools-5.12.5-1.fc28, kde-gtk-config-5.12.5-1.fc28, kdecoration-5.12.5-1.fc28, kdeplasma-addons-5.12.5-1.fc28, kgamma-5.12.5-1.fc28, khotkeys-5.12.5-1.fc28, kinfocenter-5.12.5-1.fc28, kmenuedit-5.12.5-1.fc28, kscreen-5.12.5-1.fc28, kscreenlocker-5.12.5-1.fc28, ksshaskpass-5.12.5-1.fc28, ksysguard-5.12.5-1.fc28, kwayland-integration-5.12.5-1.fc28, kwin-5.12.5-1.fc28, kwrited-5.12.5-1.fc28, libkscreen-qt5-5.12.5-1.fc28, libksysguard-5.12.5-1.fc28, plasma-breeze-5.12.5-1.fc28, plasma-desktop-5.12.5-1.fc28, plasma-discover-5.12.5-1.fc28, plasma-drkonqi-5.12.5-1.fc28, plasma-integration-5.12.5-1.fc28, plasma-milou-5.12.5-1.fc28, plasma-nm-5.12.5-2.fc28, plasma-oxygen-5.12.5-1.fc28, plasma-pa-5.12.5-1.fc28, plasma-sdk-5.12.5-1.fc28, plasma-systemsettings-5.12.5-1.fc28, plasma-user-manager-5.12.5-1.fc28, plasma-vault-5.12.5-1.fc28, plasma-workspace-5.12.5-1.fc28, plasma-workspace-wallpapers-5.12.5-1.fc28, plymouth-kcm-5.12.5-1.fc28, plymouth-theme-breeze-5.12.5-1.fc28, polkit-kde-5.12.5-1.fc28, powerdevil-5.12.5-1.fc28, sddm-kcm-5.12.5-1.fc28, xdg-desktop-portal-kde-5.12.5-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-2f55f1cecf

Comment 5 Fedora Update System 2018-05-11 01:24:06 UTC
bluedevil-5.12.5-1.fc28, breeze-gtk-5.12.5-1.fc28, grub2-breeze-theme-5.12.5-1.fc28, kactivitymanagerd-5.12.5-1.fc28, kde-cli-tools-5.12.5-1.fc28, kde-gtk-config-5.12.5-1.fc28, kdecoration-5.12.5-1.fc28, kdeplasma-addons-5.12.5-1.fc28, kgamma-5.12.5-1.fc28, khotkeys-5.12.5-1.fc28, kinfocenter-5.12.5-1.fc28, kmenuedit-5.12.5-1.fc28, kscreen-5.12.5-1.fc28, kscreenlocker-5.12.5-1.fc28, ksshaskpass-5.12.5-1.fc28, ksysguard-5.12.5-1.fc28, kwayland-integration-5.12.5-1.fc28, kwin-5.12.5-1.fc28, kwrited-5.12.5-1.fc28, libkscreen-qt5-5.12.5-1.fc28, libksysguard-5.12.5-1.fc28, plasma-breeze-5.12.5-1.fc28, plasma-desktop-5.12.5-1.fc28, plasma-discover-5.12.5-1.fc28, plasma-drkonqi-5.12.5-1.fc28, plasma-integration-5.12.5-1.fc28, plasma-milou-5.12.5-1.fc28, plasma-nm-5.12.5-2.fc28, plasma-oxygen-5.12.5-1.fc28, plasma-pa-5.12.5-1.fc28, plasma-sdk-5.12.5-1.fc28, plasma-systemsettings-5.12.5-1.fc28, plasma-user-manager-5.12.5-1.fc28, plasma-vault-5.12.5-1.fc28, plasma-workspace-5.12.5-1.fc28, plasma-workspace-wallpapers-5.12.5-1.fc28, plymouth-kcm-5.12.5-1.fc28, plymouth-theme-breeze-5.12.5-1.fc28, polkit-kde-5.12.5-1.fc28, powerdevil-5.12.5-1.fc28, sddm-kcm-5.12.5-1.fc28, xdg-desktop-portal-kde-5.12.5-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.